# Function unary

Inverse the sign of a value, apply a unary minus operation.

For matrices, the function is evaluated element wise. Boolean values will
be converted to a number. For complex numbers, both real and complex
value are inverted.


## Syntax

```js
math.unary(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | Number &#124; BigNumber &#124; Boolean &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Number to be inverted.

### Returns

Type | Description
---- | -----------
Number &#124; BigNumber &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Returns the value with inverted sign.


## Examples

```js
var math = mathjs();

math.unary(3.5);      // returns -3.5
math.unary(-4.2);     // returns 4.2
```


## See also

[add](add.md),
[subtract](subtract.md)


<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->
